import { fetchMenu } from '@/fetch/config'
import { Menu } from '@/components/Menu/Menu'

/**
 * Represents a dynamic menu component.
 * This component fetches menu data from a remote source and renders it.
 * @returns {JSX.Element} The rendered dynamic menu component
 */
export const FetchedMenu = async () => {

  const menu = await fetchMenu()

  return <Menu menu={menu} />
}